## pasmo 0.5.1

=== Makefile ===
# Makefile for pasmo
# Revision 20-dec-2004

CPP=g++
CPPFLAGS=-W -Wall

OBJS=pasmo.o pasmotypes.o token.o \
	asm.o asmfile.o \
	tap.o tzx.o spectrum.o cpc.o

all: pasmo


pasmo: $(OBJS)
	$(CPP) $(CPPFLAGS) -o pasmo $(OBJS)

pasmo.o: pasmo.cpp asm.h
	$(CPP) $(CPPFLAGS) -c pasmo.cpp

pasmotypes.o: pasmotypes.cpp pasmotypes.h
	$(CPP) $(CPPFLAGS) -c pasmotypes.cpp

token.o: token.cpp token.h pasmotypes.h
	$(CPP) $(CPPFLAGS) -c token.cpp

asmfile.o: asmfile.cpp asmfile.h token.h pasmotypes.h
	$(CPP) $(CPPFLAGS) -c asmfile.cpp

asm.o: asm.cpp asm.h token.h pasmotypes.h asmfile.h tap.h tzx.h
	$(CPP) $(CPPFLAGS) -c asm.cpp

tap.o: tap.cpp tap.h pasmotypes.h
	$(CPP) $(CPPFLAGS) -c tap.cpp

tzx.o: tzx.cpp tzx.h pasmotypes.h
	$(CPP) $(CPPFLAGS) -c tzx.cpp

spectrum.o: spectrum.cpp spectrum.h pasmotypes.h
	$(CPP) $(CPPFLAGS) -c spectrum.cpp

cpc.o: cpc.cpp cpc.h pasmotypes.h
	$(CPP) $(CPPFLAGS) -c cpc.cpp


tgz:
	tar czf pasmo.tgz Makefile *.cpp *.h *.asm \
		README NEWS pasmodoc.html

strip: pasmo
	strip pasmo

clean:
	rm -f pasmo
	rm -f *.o

# End.

## pasmo 0.5.3

=== debian/changelog ===
pasmo (0.5.3-9) unstable; urgency=medium

  * QA upload.
  * debian/salsa-ci.yml: Add to provide CI tests for Salsa.
  * debian/tests/*: Create autopkgtest.

 -- Francisco Cardoso Becheli <franciscobecheli@alunos.utfpr.edu.br>  Thu, 23 Oct 2025 12:00:02 -0300

pasmo (0.5.3-8) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 4.5.0 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Trim trailing whitespace.
  * Set Homepage field in Source rather than Binary package.
  * Use ?= for assignments to architecture variables.
  * Switched homepage and watch url to https.
  * Updated vcs in d/control to Salsa.
  * Use ?= for assignments to architecture variable DEB_HOST_GNU_TYPE too.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 20 May 2024 07:19:27 +0200

pasmo (0.5.3-7) unstable; urgency=medium

  * QA upload.
  * Using new DH level format. Consequently:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/control:
    - Bumped Standards-Version to 4.5.0.

 -- Leonardo Santos <s4nt0sl30n4rd0@gmail.com>  Sat, 16 May 2020 16:58:46 -0300

pasmo (0.5.3-6) unstable; urgency=low

  * QA upload
  * use distclean to clean
  * improve patches (Closes: 643237)
  * improve debian/rules
  - switch to debhelper compat 7
  - support build-arch and build-indep
  - use dpkg-buildflags (and actually set CXXFLAGS)
  * fix description synopsis [description-synopsis-starts-with-article]
  * list actual license statement in debian/copyright
  * install the correct upstream changelog (NEWS)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 23 Oct 2011 13:17:27 +0200

pasmo (0.5.3-5) unstable; urgency=low

  * Orphaning this package.

 -- Joost Yervante Damad <andete@debian.org>  Sat, 16 Jul 2011 16:45:52 +0200

pasmo (0.5.3-4) unstable; urgency=low

  * update source format to 3.0

 -- Joost Yervante Damad <andete@debian.org>  Sat, 19 Dec 2009 21:40:41 +0100

pasmo (0.5.3-3) unstable; urgency=low

  * fix standards version
  * rebuild with debhelper > 7.2.3

 -- Joost Yervante Damad <andete@debian.org>  Sat, 09 May 2009 16:01:48 +0200

pasmo (0.5.3-2) unstable; urgency=low

  * fix debian/rules; (Closes: #456348)
      - make clean now depends on configure-stamp, which will
        trigger ./configure on make clean possibly, but it'll
        always work

 -- Joost Yervante Damad <andete@debian.org>  Sat, 15 Dec 2007 07:02:34 +0100

pasmo (0.5.3-1) unstable; urgency=low

  * New upstream release; incorporates exit value fix

 -- Joost Yervante Damad <andete@debian.org>  Mon, 10 Dec 2007 17:45:59 +0100

pasmo (0.5.2-6) unstable; urgency=low

  * Fix build with GCC 4.3 (Closes: #417474)

 -- Joost Yervante Damad <andete@debian.org>  Tue, 17 Apr 2007 19:04:31 +0200

pasmo (0.5.2-5) unstable; urgency=low

  * convert pasmo.doc-base and copyright to UTF-8
  * don't exit 0 when compilation failed (Closes: #394733)
  * update maintainer email
  * bump standards-version
  * switch to debhelper 5
  * update copyright file; mention copyright of packaging

 -- Joost Yervante Damad <andete@debian.org>  Tue, 17 Apr 2007 19:04:05 +0200

pasmo (0.5.2-4) unstable; urgency=low
  * fix build / compat (Closes: #324554)

 -- Joost Yervante Damad <joost@lumatec.be>  Tue, 23 Aug 2005 09:03:30 +0200

pasmo (0.5.2-3) unstable; urgency=low
  * bump standards version

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 17 Jul 2005 13:01:16 +0200

pasmo (0.5.2-2) unstable; urgency=low

  * rebuild for new C++ ABI

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 17 Jul 2005 12:53:27 +0200

pasmo (0.5.2-1) unstable; urgency=low

  * new upstream release (Closes: #303885)

 -- Joost Yervante Damad <joost@lumatec.be>  Fri, 22 Apr 2005 21:15:24 +0200

pasmo (0.5.1-4) unstable; urgency=low

  * rebuild against sid, as discussed in openmsx bug #303144

 -- Joost Yervante Damad <joost@lumatec.be>  Tue,  5 Apr 2005 19:32:57 +0200

pasmo (0.5.1-3) unstable; urgency=low

  * Fixes ITP (Closes: #286947)
  * fix cleanup manual page on clean target

 -- Joost Yervante Damad <joost@lumatec.be>  Thu, 30 Dec 2004 21:18:38 +0100

pasmo (0.5.1-2) unstable; urgency=low

  * Implemented comments from Goedson Paixao:
      - remove /usr/sbin from dirs
      - fix pasmo.doc-base
      - cleanup manual page on clean target
      - rework description in debian/control a little bit

 -- Joost Yervante Damad <joost@lumatec.be>  Sat, 25 Dec 2004 09:16:41 +0100

pasmo (0.5.1-1) unstable; urgency=low

  * new upstream release.

 -- Joost Yervante Damad <joost@lumatec.be>  Fri, 24 Dec 2004 10:23:28 +0100

pasmo (0.5.0-2) unstable; urgency=low

  * fix copyright file.

 -- Joost Yervante Damad <joost@lumatec.be>  Wed, 22 Dec 2004 19:09:27 +0100

pasmo (0.5.0-1) unstable; urgency=low

  * Initial Release.
  * added an artificial install target that just copies the one binary

 -- Joost Yervante Damad <joost@lumatec.be>  Sun, 12 Dec 2004 12:50:15 +0100

=== debian/control ===
Source: pasmo
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               docbook-to-man,
Standards-Version: 4.7.0
Homepage: https://pasmo.speccy.org/
Vcs-Browser: https://salsa.debian.org/debian/pasmo
Vcs-Git: https://salsa.debian.org/debian/pasmo.git

Package: pasmo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: easy to use Z80 cross-assembler
 A Z80 assembler capable of generating object code in formats suitable
 for many Z80 machines and emulators.  Pasmo generates fixed position
 code, can not be used to create relocatable object files for use with
 linkers. Pasmo is compatible with the syntax used in several old
 assemblers, by supporting several styles of numeric and string literals
 and by providing several names of the most used directives.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CXXFLAGS            := $(shell dpkg-buildflags --get CXXFLAGS)
CPPFLAGS            := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS             := $(shell dpkg-buildflags --get LDFLAGS)

CXXFLAGS += -Wall -Wextra

config.status: configure
	dh_testdir
	./configure --prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		CPPFLAGS='$(CPPFLAGS)' CXXFLAGS='$(CXXFLAGS)' \
		LDFLAGS='$(LDFLAGS)'

build-arch: build-stamp
build-stamp: config.status
	$(MAKE)
	docbook-to-man debian/pasmo.sgml > debian/pasmo.1
	cp debian/pasmodoc.html ./
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	if test -f Makefile ; then $(MAKE) distclean ; fi
	rm -f debian/pasmo.1 pasmodoc.html
	test ! -f config.log
	test ! -f config.status
	rm -f build-stamp
	dh_clean

build-indep:
binary-indep:

binary-arch: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) install DESTDIR=$(CURDIR)/debian/pasmo
	dh_installchangelogs NEWS
	dh_installdocs
	dh_installman debian/pasmo.1
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build: build-indep build-arch
binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary-indep binary-arch binary

=== debian/tests/control ===
Test-Command: pasmo 2>&1 | grep 'Usage'
Restrictions: superficial

Tests: assembly_tests.sh
